<script lang="ts">
export default {
  name: 'EventCard',
  props: {
    heading: {
      type: String,
      default: null,
      required: false,
    },
    body: {
      type: String,
      default: null,
      required: false,
    },
    icon: {
      type: String,
      default: null,
      required: false,
    },
    date: {
      type: String,
      default: null,
      required: false,
    },
    eventType: {
      type: String,
      default: null,
      required: false,
    },
    cta: {
      type: String,
      default: null,
      required: false,
    },
    destinationUrl: {
      type: String,
      default: null,
      required: false,
    },
    buttonText: {
      type: String,
      default: null,
      required: false,
    },
  },
};
</script>

<template>
  <a :href="destinationUrl" class="card">
    <SlpIcon
      name="calendar-alt-3"
      alt=""
      size="md"
      variant="marketing"
      class="slp-mb-24"
    />
    <div class="card__inner">
      <SlpTypography tag="h3" variant="body2" class="slp-mb-8">{{
        eventType
      }}</SlpTypography>
      <SlpTypography v-if="date" tag="p" variant="body3" class="date">{{
        date
      }}</SlpTypography>
      <SlpTypography tag="h4" variant="heading4" class="slp-mb-24">{{
        heading
      }}</SlpTypography>
      <SlpButton variant="tertiary">
        {{ buttonText }}
        <SlpIcon
          class="icon"
          name="chevron-lg-right"
          variant="product"
          alt="Chevron Right Icon"
        />
      </SlpButton>
    </div>
  </a>
</template>

<style lang="scss" scoped>
.card {
  width: 100%;
  height: 100%;
  display: block;
  background: $color-surface-800;
  color: $color-text-300;
  padding: $spacing-32;
}
</style>
